> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a trade item tag



## OpenAPI

````yaml /openapi.json post /trade-item-tags
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /trade-item-tags:
    post:
      tags:
        - Trade Item Tag
      summary: Create a trade item tag
      operationId: createTradeItemTag
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTradeItemTag'
      responses:
        '201':
          description: Trade item tag created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradeItemTag'
        '400':
          description: Invalid request
components:
  schemas:
    CreateTradeItemTag:
      type: object
      properties:
        code:
          type: string
          description: The code of the trade item tag, a unique identifier
        name:
          type: string
          description: The name of the trade item tag
        description:
          type: string
          description: The description of the trade item tag
      required:
        - code
        - name
        - description
    TradeItemTag:
      type: object
      properties:
        id:
          type: string
          description: The id of the trade item tag
        code:
          type: string
          description: The code of the trade item tag, a unique identifier
        name:
          type: string
          description: The name of the trade item tag
        description:
          type: string
          description: The description of the trade item tag
        createdAt:
          format: date-time
          type: string
          description: The date and time the trade item tag was created
        updatedAt:
          format: date-time
          type: string
          description: The date and time the trade item tag was updated
        deleted:
          type: boolean
          description: Whether the trade item tag is deleted
        deletedAt:
          format: date-time
          type: string
          description: The date and time the trade item tag was deleted
      required:
        - id
        - code
        - name
        - description
        - createdAt
        - updatedAt
        - deleted
        - deletedAt

````